Bug 1044200 - [abrt] python-ase: run.py:108:parse:IndexError: pop from empty list
Summary: [abrt] python-ase: run.py:108:parse:IndexError: pop from empty list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ase
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:564d789744953ce5398aa477ca9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:53 UTC by Michael Schwendt
Modified: 2014-02-08 05:08 UTC (History)
2 users (show)

Fixed In Version: python-ase-3.8.1.3440-10.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-07 18:49:46 UTC


Attachments (Terms of Use)
File: backtrace (640 bytes, text/plain)
2013-12-17 21:54 UTC, Michael Schwendt
no flags Details
File: environ (1.36 KB, text/plain)
2013-12-17 21:54 UTC, Michael Schwendt
no flags Details

Description Michael Schwendt 2013-12-17 21:53:56 UTC
Description of problem:
Simply running "ase-run" without any arguments crashes and triggers ABRT.

Version-Release number of selected component:
python-ase-3.8.1.3440-9.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /usr/bin/ase-run
executable:     /usr/bin/ase-run
kernel:         3.12.5-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
run.py:108:parse:IndexError: pop from empty list

Traceback (most recent call last):
  File "/usr/bin/ase-run", line 5, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/ase/cli/run.py", line 27, in main
    runner.parse()
  File "/usr/lib/python2.7/site-packages/ase/cli/run.py", line 108, in parse
    self.calculator_name = names.pop(0)
IndexError: pop from empty list

Local variables in innermost frame:
add: <bound method OptionParser.add_option of <optparse.OptionParser instance at 0x12af248>>
parser: <optparse.OptionParser instance at 0x12af248>
names: []
args: None
self: <ase.cli.run.Runner instance at 0x10b5830>

Comment 1 Michael Schwendt 2013-12-17 21:54:02 UTC
Created attachment 838003 [details]
File: backtrace

Comment 2 Michael Schwendt 2013-12-17 21:54:04 UTC
Created attachment 838004 [details]
File: environ

Comment 3 marcindulak 2013-12-18 15:04:49 UTC
confirmed: ase-run is a part of not yet fully implemented functionality in upstream python-ase.

Comment 4 Fedora Update System 2014-01-17 13:55:14 UTC
python-ase-3.8.1.3440-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-ase-3.8.1.3440-10.fc19

Comment 5 Fedora Update System 2014-01-17 13:55:40 UTC
python-ase-3.8.1.3440-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-ase-3.8.1.3440-10.el6

Comment 6 Fedora Update System 2014-01-17 13:56:04 UTC
python-ase-3.8.1.3440-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ase-3.8.1.3440-10.fc20

Comment 7 Fedora Update System 2014-01-18 04:23:15 UTC
Package python-ase-3.8.1.3440-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ase-3.8.1.3440-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1049/python-ase-3.8.1.3440-10.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-02-07 18:49:46 UTC
python-ase-3.8.1.3440-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-02-08 05:01:58 UTC
python-ase-3.8.1.3440-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-02-08 05:08:25 UTC
python-ase-3.8.1.3440-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.